xine-lib: xine-lib-1.2.12/src/combined/ffmpeg/ffmpeg_decoder.h File Reference

xine-lib 1.2.12

Macros | Functions | Variables
ffmpeg_decoder.h File Reference
`#include <sys/types.h>`
`#include <xine.h>`

Go to the source code of this file.

## Macros
#define | INPUT_OPTIONAL_DATA_pb 0x1000
#define | INPUT_OPTIONAL_DATA_fmt_ctx 0x1001
#define | INPUT_AVIO_ID "avio"
#define | DEMUX_AVFORMAT_ID "avformat"

## Functions
void * | init_audio_plugin (xine_t *xine, const void *data)
void * | init_video_plugin (xine_t *xine, const void *data)
void * | init_avio_input_plugin (xine_t *xine, const void *data)
void * | init_avformat_input_plugin (xine_t *xine, const void *data)
void * | init_avformat_demux_plugin (xine_t *xine, const void *data)
void | init_once_routine (void)

## Variables
pthread_mutex_t | ffmpeg_lock

## Macro Definition Documentation

## ◆ DEMUX_AVFORMAT_ID

#define DEMUX_AVFORMAT_ID "avformat"

## ◆ INPUT_AVIO_ID

#define INPUT_AVIO_ID "avio"

## ◆ INPUT_OPTIONAL_DATA_fmt_ctx

#define INPUT_OPTIONAL_DATA_fmt_ctx 0x1001

## ◆ INPUT_OPTIONAL_DATA_pb

#define INPUT_OPTIONAL_DATA_pb 0x1000

## Function Documentation

## ◆ init_audio_plugin()

void * init_audio_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References _, xine_s::config, ff_audio_class_t::decoder_class, audio_decoder_class_s::description, audio_decoder_class_s::dispose, dispose_audio_class(), ff_audio_open_plugin(), ff_gain_cb(), ff_audio_class_t::gain, audio_decoder_class_s::identifier, N_, NULL, audio_decoder_class_s::open_plugin, config_values_s::register_num, and ff_audio_class_t::xine.

## ◆ init_avformat_demux_plugin()

void * init_avformat_demux_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References DEMUX_AVFORMAT_ID, N_, NULL, open_demux_avformat_plugin(), and demux_class_s::open_plugin.

## ◆ init_avformat_input_plugin()

void * init_avformat_input_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References DEMUX_AVFORMAT_ID, input_class_s::get_instance, input_avformat_get_instance(), N_, and NULL.

## ◆ init_avio_input_plugin()

void * init_avio_input_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References input_class_s::get_instance, input_avio_get_instance(), INPUT_AVIO_ID, LOG_MODULE, N_, NULL, XINE_VERBOSITY_DEBUG, and xprintf.

## ◆ init_once_routine()

void init_once_routine | ( | void |  | ) |

References _init_once_routine(), and once_control.

Referenced by ff_audio_open_plugin(), ff_video_open_plugin(), input_avformat_get_instance(), input_avio_get_instance(), and open_demux_avformat_plugin().

## ◆ init_video_plugin()

void * init_video_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References _, choose_speed_over_accuracy_cb(), xine_s::config, dispose_video_class(), dri_cb(), ff_video_open_plugin(), N_, NULL, config_values_s::register_bool, config_values_s::register_enum, config_values_s::register_num, config_values_s::register_range, skip_loop_filter_enum_cb(), skip_loop_filter_enum_names, and thread_count_cb().

## Variable Documentation

## ◆ ffmpeg_lock

pthread_mutex_t ffmpeg_lock
| extern

Referenced by _init_once_routine(), ff_aac_mode_parse(), ff_audio_dispose(), ff_audio_init_codec(), ff_audio_open_codec(), ff_audio_reset(), ff_audio_reset_parser(), ff_dispose(), ff_video_open_plugin(), and init_video_codec().